Page MenuHomePhabricator

Expand the infrastructure to codfw
Closed, ResolvedPublic

Description

We need to expand the kubernetes infrastructure into CODFW DC as well. This consists at least of

  • Procuring/obtaining the necessary hardware
  • Setup an etcd cluster for codfw kubernetes usage
  • Setting up kubernetes workers
  • Setting up the kubernetes masters
  • Assigning IP space for pod IPs
  • Configure the core routers and calico for BGP

Related Objects

StatusSubtypeAssignedTask
Resolvedakosiaris
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
Resolvedawight
ResolvedHalfak
Resolvedawight
ResolvedNone
Resolvedawight
Resolvedawight
ResolvedHalfak
ResolvedHalfak
ResolvedHalfak
Resolvedakosiaris
ResolvedHalfak
ResolvedHalfak
ResolvedHalfak
ResolvedSumit
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
Resolvedakosiaris
Resolvedakosiaris

Event Timeline

akosiaris created this task.Apr 3 2017, 1:44 PM
MoritzMuehlenhoff triaged this task as High priority.Apr 7 2017, 11:20 AM
akosiaris updated the task description. (Show Details)May 15 2017, 2:05 PM
akosiaris closed this task as Resolved.May 30 2017, 2:44 PM
akosiaris claimed this task.
akosiaris updated the task description. (Show Details)

All of the above has been done and most of it has been tracked in the subtasks. Today I 've finished setting up BGP on cr1-codfw and cr2-codfw as well as the calico framework. Resolving task.